Device Compatibility

Requires iOS 7.0 or later. 

Compatible with iPhone 4S, iPhone 5, iPhone 5c, iPhone 5s, iPad Wi-Fi (3rd generation), iPad Wi-Fi + Cellular (3rd generation), iPad Wi-Fi (4th generation), iPad Wi-Fi + Cellular (4th generation), iPad mini Wi-Fi, iPad mini Wi-Fi + Cellular, iPad Air, iPad Air Wi-Fi + Cellular, iPad mini with Retina display, iPad mini with Retina display Wi-Fi + Cellular, and iPod touch (5th gen).

The app is optimized for iPhone 5.